Get one response by UUID or readable ID
curl --request GET \
--url https://listenlabs.ai/api/public/v1/responses/{linkId}/{responseId} \
--header 'x-api-key: <api-key>'import requests
url = "https://listenlabs.ai/api/public/v1/responses/{linkId}/{responseId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://listenlabs.ai/api/public/v1/responses/{linkId}/{responseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"readableId": 1,
"linkId": "<string>",
"urlParams": {},
"tagline": "<string>",
"bulletSummary": [
"<string>"
],
"transcript": [
{
"moderator": "<string>",
"user": "<string>",
"audio": "<string>",
"video": {
"streamUrl": "<string>",
"mp4Url": "<string>"
},
"screenVideo": {
"streamUrl": "<string>",
"mp4Url": "<string>"
},
"responseIndex": 1,
"discussionGuideQuestionId": "<string>",
"conceptId": "<string>",
"isFollowUp": true,
"answerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}Get Single Response
Retrieve one response’s transcript, URL parameters, and summaries by UUID or readable ID
GET
/
api
/
public
/
v1
/
responses
/
{linkId}
/
{responseId}
Get one response by UUID or readable ID
Replaces the legacy
GET /api/public/responses/{link_id}/{response_id}
endpoint, deprecated starting August 1, 2026.Authorizations
Path Parameters
The study's editable link ID (as used in the response URL) or the study UUID.
Response UUID or positive readable numeric ID.
Response
Response details
Required range:
x > 0Visible URL parameters.
Show child attributes
Show child attributes
Generated tagline.
Generated summary bullets.
Show child attributes
Show child attributes
⌘I